From 55db9673e4e521d7955fd15f925f40813a35c22d Mon Sep 17 00:00:00 2001
From: Jeff Rizzo <riz@tastylime.net>
Date: Sun, 20 Dec 2015 14:45:35 -0800
Subject: [PATCH 14/18] Add a print for every function.  Hasn't helped much,
 yet...

---
 sys/dev/ic/rt2860.c | 74 ++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 73 insertions(+), 1 deletion(-)

diff --git a/sys/dev/ic/rt2860.c b/sys/dev/ic/rt2860.c
index 5c5e7d7..12cf29d 100644
--- a/sys/dev/ic/rt2860.c
+++ b/sys/dev/ic/rt2860.c
@@ -199,7 +199,7 @@ rt2860_attach(void *xsc, int id)
 	int qid, ntries, error;
 	uint32_t tmp;
 
-	aprint_normal_dev(sc->sc_dev, "in rt2860_attach()\n");
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	sc->amrr.amrr_min_success_threshold =  1;
 	sc->amrr.amrr_max_success_threshold = 15;
 
@@ -277,6 +277,7 @@ firmware_load(const char *dname, const char *iname, uint8_t **ucodep,
 	firmware_handle_t fh;
 	int error;
 
+	aprint_normal("in %s\n", __FUNCTION__);
 	if ((error = firmware_open(dname, iname, &fh)) != 0)
 		return (error);
 	*sizep = firmware_get_size(fh);
@@ -299,6 +300,7 @@ rt2860_attachhook(struct device *self)
 	struct ifnet *ifp = &sc->sc_if;
 	int i, error;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	error = firmware_load("ral", "ral-rt2860", &sc->ucode, &sc->ucsize);
 	if (error != 0) {
 		aprint_error_dev(sc->sc_dev,
@@ -400,6 +402,7 @@ rt2860_detach(void *xsc)
 	struct ifnet *ifp = &sc->sc_if;
 	int qid;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	ieee80211_ifdetach(&sc->sc_ic);	/* free all nodes */
 	if_detach(ifp);
 
@@ -420,6 +423,7 @@ rt2860_suspend(void *xsc)
 	struct rt2860_softc *sc = xsc;
 	struct ifnet *ifp = &sc->sc_if;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	if (ifp->if_flags & IFF_RUNNING)
 		rt2860_stop(ifp, 1);
 }
@@ -430,6 +434,7 @@ rt2860_wakeup(void *xsc)
 	struct rt2860_softc *sc = xsc;
 	struct ifnet *ifp = &sc->sc_if;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	if (ifp->if_flags & IFF_UP)
 		rt2860_init(ifp);
 }
@@ -439,6 +444,7 @@ rt2860_alloc_tx_ring(struct rt2860_softc *sc, struct rt2860_tx_ring *ring)
 {
 	int nsegs, size, error;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	size = RT2860_TX_RING_COUNT * sizeof (struct rt2860_txd);
 
 	error = bus_dmamap_create(sc->sc_dmat, size, 1, size, 0,
@@ -487,6 +493,7 @@ rt2860_reset_tx_ring(struct rt2860_softc *sc, struct rt2860_tx_ring *ring)
 	struct rt2860_tx_data *data;
 	int i;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	for (i = 0; i < RT2860_TX_RING_COUNT; i++) {
 		if ((data = ring->data[i]) == NULL)
 			continue;	/* nothing mapped in this slot */
@@ -512,6 +519,7 @@ rt2860_free_tx_ring(struct rt2860_softc *sc, struct rt2860_tx_ring *ring)
 	struct rt2860_tx_data *data;
 	int i;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	if (ring->txd != NULL) {
 		bus_dmamap_sync(sc->sc_dmat, ring->map, 0,
 		    ring->map->dm_mapsize, BUS_DMASYNC_POSTWRITE);
@@ -546,6 +554,7 @@ rt2860_alloc_tx_pool(struct rt2860_softc *sc)
 	bus_addr_t paddr;
 	int i, nsegs, size, error;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	size = RT2860_TX_POOL_COUNT * RT2860_TXWI_DMASZ;
 
 	/* init data_pool early in case of failure.. */
@@ -613,6 +622,7 @@ fail:	rt2860_free_tx_pool(sc);
 void
 rt2860_free_tx_pool(struct rt2860_softc *sc)
 {
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	if (sc->txwi_vaddr != NULL) {
 		bus_dmamap_sync(sc->sc_dmat, sc->txwi_map, 0,
 		    sc->txwi_map->dm_mapsize, BUS_DMASYNC_POSTWRITE);
@@ -637,6 +647,7 @@ rt2860_alloc_rx_ring(struct rt2860_softc *sc, struct rt2860_rx_ring *ring)
 {
 	int i, nsegs, size, error;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	size = RT2860_RX_RING_COUNT * sizeof (struct rt2860_rxd);
 
 	error = bus_dmamap_create(sc->sc_dmat, size, 1, size, 0,
@@ -725,6 +736,7 @@ rt2860_reset_rx_ring(struct rt2860_softc *sc, struct rt2860_rx_ring *ring)
 {
 	int i;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	for (i = 0; i < RT2860_RX_RING_COUNT; i++)
 		ring->rxd[i].sdl0 &= ~htole16(RT2860_RX_DDONE);
 
@@ -739,6 +751,7 @@ rt2860_free_rx_ring(struct rt2860_softc *sc, struct rt2860_rx_ring *ring)
 {
 	int i;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	if (ring->rxd != NULL) {
 		bus_dmamap_sync(sc->sc_dmat, ring->map, 0,
 		    ring->map->dm_mapsize, BUS_DMASYNC_POSTWRITE);
@@ -767,6 +780,7 @@ rt2860_free_rx_ring(struct rt2860_softc *sc, struct rt2860_rx_ring *ring)
 struct ieee80211_node *
 rt2860_node_alloc(struct ieee80211_node_table *nt)
 {
+	aprint_normal("in %s\n", __FUNCTION__);
 	struct rt2860_node *rn = 
 	    malloc(sizeof (struct rt2860_node), M_DEVBUF, M_NOWAIT | M_ZERO);
 	return (rn) ? &rn->ni : NULL;
@@ -780,6 +794,7 @@ rt2860_media_change(struct ifnet *ifp)
 	uint8_t rate, ridx;
 	int error;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	error = ieee80211_media_change(ifp);
 	if (error != ENETRESET)
 		return error;
@@ -807,6 +822,7 @@ rt2860_iter_func(void *arg, struct ieee80211_node *ni)
 	struct rt2860_softc *sc = arg;
 	uint8_t wcid = ((struct rt2860_node *)ni)->wcid;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	ieee80211_amrr_choose(&sc->amrr, ni, &sc->amn[wcid]);
 }
 
@@ -815,6 +831,7 @@ rt2860_updatestats(struct rt2860_softc *sc)
 {
 	struct ieee80211com *ic = &sc->sc_ic;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 #ifndef IEEE80211_STA_ONLY
 	/*
 	 * In IBSS or HostAP modes (when the hardware sends beacons), the
@@ -853,6 +870,7 @@ rt2860_newassoc(struct ieee80211_node *ni, int isnew)
 	uint8_t rate, wcid = 0;
 	int ridx, i, j;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	if (isnew && ni->ni_associd != 0) {
 		/* only interested in true associations */
 		wcid = rn->wcid = IEEE80211_AID(ni->ni_associd);
@@ -898,6 +916,7 @@ int
 rt2860_ampdu_rx_start(struct ieee80211com *ic, struct ieee80211_node *ni,
     uint8_t tid)
 {
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	struct rt2860_softc *sc = ic->ic_softc;
 	uint8_t wcid = ((struct rt2860_node *)ni)->wcid;
 	uint32_t tmp;
@@ -913,6 +932,7 @@ void
 rt2860_ampdu_rx_stop(struct ieee80211com *ic, struct ieee80211_node *ni,
     uint8_t tid)
 {
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	struct rt2860_softc *sc = ic->ic_softc;
 	uint8_t wcid = ((struct rt2860_node *)ni)->wcid;
 	uint32_t tmp;
@@ -931,6 +951,7 @@ rt2860_newstate(struct ieee80211com *ic, enum ieee80211_state nstate, int arg)
 	enum ieee80211_state ostate;
 	uint32_t tmp;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	ostate = ic->ic_state;
 
 	if (ostate == IEEE80211_S_RUN) {
@@ -1050,6 +1071,7 @@ rt2860_eeprom_read_2(struct rt2860_softc *sc, uint16_t addr)
 	uint16_t val;
 	int n;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	/* clock C once before the first command */
 	RT2860_EEPROM_CTL(sc, 0);
 
@@ -1100,6 +1122,7 @@ rt2860_eeprom_read_2(struct rt2860_softc *sc, uint16_t addr)
 static __inline uint16_t
 rt2860_srom_read(struct rt2860_softc *sc, uint8_t addr)
 {
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	/* either eFUSE ROM or EEPROM */
 	return sc->sc_srom_read(sc, addr);
 }
@@ -1109,6 +1132,7 @@ rt2860_intr_coherent(struct rt2860_softc *sc)
 {
 	uint32_t tmp;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	/* DMA finds data coherent event when checking the DDONE bit */
 
 	DPRINTF(("Tx/Rx Coherent interrupt\n"));
@@ -1129,6 +1153,7 @@ rt2860_drain_stats_fifo(struct rt2860_softc *sc)
 	uint32_t stat;
 	uint8_t wcid, mcs, pid;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	/* drain Tx status FIFO (maxsize = 16) */
 	while ((stat = RAL_READ(sc, RT2860_TX_STAT_FIFO)) & RT2860_TXQ_VLD) {
 		DPRINTFN(4, ("tx stat 0x%08x\n", stat));
@@ -1167,6 +1192,7 @@ rt2860_tx_intr(struct rt2860_softc *sc, int qid)
 	struct rt2860_tx_ring *ring = &sc->txq[qid];
 	uint32_t hw;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	rt2860_drain_stats_fifo(sc);
 
 	hw = RAL_READ(sc, RT2860_TX_DTX_IDX(qid));
@@ -1205,6 +1231,7 @@ rt2860_maxrssi_chain(struct rt2860_softc *sc, const struct rt2860_rxwi *rxwi)
 {
 	uint8_t rxchain = 0;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	if (sc->nrxchains > 1) {
 		if (rxwi->rssi[1] > rxwi->rssi[rxchain])
 			rxchain = 1;
@@ -1229,6 +1256,7 @@ rt2860_rx_intr(struct rt2860_softc *sc)
 	struct rt2860_rx_radiotap_header *tap;
 	uint16_t phy;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	hw = RAL_READ(sc, RT2860_FS_DRX_IDX) & 0xfff;
 	while (sc->rxq.cur != hw) {
 		struct rt2860_rx_data *data = &sc->rxq.data[sc->rxq.cur];
@@ -1391,6 +1419,7 @@ rt2860_tbtt_intr(struct rt2860_softc *sc)
 {
 	struct ieee80211com *ic = &sc->sc_ic;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 #ifndef IEEE80211_STA_ONLY
 	if (ic->ic_opmode == IEEE80211_M_HOSTAP) {
 		/* one less beacon until next DTIM */
@@ -1421,6 +1450,7 @@ rt2860_gp_intr(struct rt2860_softc *sc)
 {
 	struct ieee80211com *ic = &sc->sc_ic;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	DPRINTFN(2, ("GP timeout state=%d\n", ic->ic_state));
 
 	if (ic->ic_state == IEEE80211_S_SCAN)
@@ -1500,6 +1530,7 @@ rt2860_tx(struct rt2860_softc *sc, struct mbuf *m, struct ieee80211_node *ni)
 	uint8_t type, qsel, mcs, pid, tid, qid;
 	int nsegs, ntxds, hasqos, ridx, ctl_ridx, error;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	/* the data pool contains at least one element, pick the first */
 	data = SLIST_FIRST(&sc->data_pool);
 
@@ -1735,6 +1766,7 @@ rt2860_start(struct ifnet *ifp)
 	struct ieee80211_node *ni;
 	struct mbuf *m;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	if ((ifp->if_flags & (IFF_RUNNING | IFF_OACTIVE)) != IFF_RUNNING)
 		return;
 
@@ -1798,6 +1830,7 @@ rt2860_watchdog(struct ifnet *ifp)
 	struct rt2860_softc *sc = ifp->if_softc;
 	struct ieee80211com *ic = &sc->sc_ic;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	ifp->if_timer = 0;
 
 	if (sc->sc_tx_timer > 0) {
@@ -1821,6 +1854,7 @@ rt2860_ioctl(struct ifnet *ifp, u_long cmd, void *data)
 	struct ieee80211com *ic = &sc->sc_ic;
 	int s, error = 0;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	s = splnet();
 
 	switch (cmd) {
@@ -1877,6 +1911,7 @@ rt2860_mcu_bbp_write(struct rt2860_softc *sc, uint8_t reg, uint8_t val)
 {
 	int ntries;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	for (ntries = 0; ntries < 100; ntries++) {
 		if (!(RAL_READ(sc, RT2860_H2M_BBPAGENT) & RT2860_BBP_CSR_KICK))
 			break;
@@ -1902,6 +1937,7 @@ rt2860_mcu_bbp_read(struct rt2860_softc *sc, uint8_t reg)
 	uint32_t val;
 	int ntries;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	for (ntries = 0; ntries < 100; ntries++) {
 		if (!(RAL_READ(sc, RT2860_H2M_BBPAGENT) & RT2860_BBP_CSR_KICK))
 			break;
@@ -1940,6 +1976,7 @@ rt2860_rf_write(struct rt2860_softc *sc, uint8_t reg, uint32_t val)
 	uint32_t tmp;
 	int ntries;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	for (ntries = 0; ntries < 100; ntries++) {
 		if (!(RAL_READ(sc, RT2860_RF_CSR_CFG0) & RT2860_RF_REG_CTRL))
 			break;
@@ -1962,6 +1999,7 @@ rt3090_rf_read(struct rt2860_softc *sc, uint8_t reg)
 	uint32_t tmp;
 	int ntries;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	for (ntries = 0; ntries < 100; ntries++) {
 		if (!(RAL_READ(sc, RT3070_RF_CSR_CFG) & RT3070_RF_KICK))
 			break;
@@ -2017,6 +2055,7 @@ rt2860_mcu_cmd(struct rt2860_softc *sc, uint8_t cmd, uint16_t arg, int wait)
 	uint32_t tmp;
 	uint8_t cid;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	for (ntries = 0; ntries < 100; ntries++) {
 		if (!(RAL_READ(sc, RT2860_H2M_MAILBOX) & RT2860_H2M_BUSY))
 			break;
@@ -2063,6 +2102,7 @@ rt2860_mcu_cmd(struct rt2860_softc *sc, uint8_t cmd, uint16_t arg, int wait)
 void
 rt2860_enable_mrr(struct rt2860_softc *sc)
 {
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 #define CCK(mcs)	(mcs)
 #define OFDM(mcs)	(1 << 3 | (mcs))
 	RAL_WRITE(sc, RT2860_LG_FBK_CFG0,
@@ -2089,6 +2129,7 @@ rt2860_set_txpreamble(struct rt2860_softc *sc)
 {
 	uint32_t tmp;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	tmp = RAL_READ(sc, RT2860_AUTO_RSP_CFG);
 	tmp &= ~RT2860_CCK_SHORT_EN;
 	if (sc->sc_ic.ic_flags & IEEE80211_F_SHPREAMBLE)
@@ -2101,6 +2142,7 @@ rt2860_set_basicrates(struct rt2860_softc *sc)
 {
 	struct ieee80211com *ic = &sc->sc_ic;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	/* set basic rates mask */
 	if (ic->ic_curmode == IEEE80211_MODE_11B)
 		RAL_WRITE(sc, RT2860_LEGACY_BASIC_RATE, 0x003);
@@ -2116,6 +2158,7 @@ rt2860_select_chan_group(struct rt2860_softc *sc, int group)
 	uint32_t tmp;
 	uint8_t agc;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	rt2860_mcu_bbp_write(sc, 62, 0x37 - sc->lna[group]);
 	rt2860_mcu_bbp_write(sc, 63, 0x37 - sc->lna[group]);
 	rt2860_mcu_bbp_write(sc, 64, 0x37 - sc->lna[group]);
@@ -2212,6 +2255,7 @@ rt2860_set_chan(struct rt2860_softc *sc, u_int chan)
 	int8_t txpow1, txpow2;
 	u_int i;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	/* find the settings for this channel (we know it exists) */
 	for (i = 0; rfprog[i].chan != chan; i++);
 
@@ -2266,6 +2310,7 @@ rt3090_set_chan(struct rt2860_softc *sc, u_int chan)
 	uint8_t rf;
 	int i;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	KASSERT(chan >= 1 && chan <= 14);	/* RT3090 is 2GHz only */
 
 	/* find the settings for this channel (we know it exists) */
@@ -2330,6 +2375,7 @@ rt3090_rf_init(struct rt2860_softc *sc)
 	uint8_t rf, bbp;
 	int i;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	rf = rt3090_rf_read(sc, 30);
 	/* toggle RF R30 bit 7 */
 	rt3090_rf_write(sc, 30, rf | 0x80);
@@ -2444,6 +2490,7 @@ rt3090_rf_wakeup(struct rt2860_softc *sc)
 	uint32_t tmp;
 	uint8_t rf;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	if (sc->mac_ver == 0x3593) {
 		/* enable VCO */
 		rf = rt3090_rf_read(sc, 1);
@@ -2512,6 +2559,7 @@ rt3090_filter_calib(struct rt2860_softc *sc, uint8_t init, uint8_t target,
 	uint8_t bbp55_pb, bbp55_sb, delta;
 	int ntries;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	/* program filter */
 	rf24 = rt3090_rf_read(sc, 24);
 	rf24 = (rf24 & 0xc0) | init;	/* initial filter value */
@@ -2575,6 +2623,7 @@ rt3090_rf_setup(struct rt2860_softc *sc)
 	uint8_t bbp;
 	int i;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	if (sc->mac_rev >= 0x0211) {
 		/* enable DC filter */
 		rt2860_mcu_bbp_write(sc, 103, 0xc0);
@@ -2602,6 +2651,7 @@ rt3090_rf_setup(struct rt2860_softc *sc)
 void
 rt2860_set_leds(struct rt2860_softc *sc, uint16_t which)
 {
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	rt2860_mcu_cmd(sc, RT2860_MCU_CMD_LEDS,
 	    which | (sc->leds & 0x7f), 0);
 }
@@ -2615,6 +2665,7 @@ rt2860_set_gp_timer(struct rt2860_softc *sc, int ms)
 {
 	uint32_t tmp;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	/* disable GP timer before reprogramming it */
 	tmp = RAL_READ(sc, RT2860_INT_TIMER_EN);
 	RAL_WRITE(sc, RT2860_INT_TIMER_EN, tmp & ~RT2860_GP_TIMER_EN);
@@ -2635,6 +2686,7 @@ rt2860_set_gp_timer(struct rt2860_softc *sc, int ms)
 void
 rt2860_set_bssid(struct rt2860_softc *sc, const uint8_t *bssid)
 {
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	RAL_WRITE(sc, RT2860_MAC_BSSID_DW0,
 	    bssid[0] | bssid[1] << 8 | bssid[2] << 16 | bssid[3] << 24);
 	RAL_WRITE(sc, RT2860_MAC_BSSID_DW1,
@@ -2644,6 +2696,7 @@ rt2860_set_bssid(struct rt2860_softc *sc, const uint8_t *bssid)
 void
 rt2860_set_macaddr(struct rt2860_softc *sc, const uint8_t *addr)
 {
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	RAL_WRITE(sc, RT2860_MAC_ADDR_DW0,
 	    addr[0] | addr[1] << 8 | addr[2] << 16 | addr[3] << 24);
 	RAL_WRITE(sc, RT2860_MAC_ADDR_DW1,
@@ -2657,6 +2710,7 @@ rt2860_updateslot(struct ifnet *ifp)
 	struct ieee80211com *ic = &sc->sc_ic;
 	uint32_t tmp;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	tmp = RAL_READ(sc, RT2860_BKOFF_SLOT_CFG);
 	tmp &= ~0xff;
 	tmp |= (ic->ic_flags & IEEE80211_F_SHSLOT) ? 9 : 20;
@@ -2669,6 +2723,7 @@ rt2860_updateprot(struct ieee80211com *ic)
 	struct rt2860_softc *sc = ic->ic_ifp->if_softc;
 	uint32_t tmp;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	tmp = RT2860_RTSTH_EN | RT2860_PROT_NAV_SHORT | RT2860_TXOP_ALLOW_ALL;
 	/* setup protection frame rate (MCS code) */
 	tmp |= (ic->ic_curmode == IEEE80211_MODE_11A) ?
@@ -2693,6 +2748,7 @@ rt2860_updateedca(struct ieee80211com *ic)
 	struct rt2860_softc *sc = ic->ic_ifp->if_softc;
 	int aci;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	/* update MAC TX configuration registers */
 	for (aci = 0; aci < WME_NUM_AC; aci++) {
 		RAL_WRITE(sc, RT2860_EDCA_AC_CFG(aci),
@@ -2738,6 +2794,7 @@ rt2860_set_key(struct ieee80211com *ic, const struct ieee80211_key *ck,
 	uint8_t mode, wcid, iv[8];
 	struct ieee80211_key *k = __UNCONST(ck); /* XXX */
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	/* map net80211 cipher to RT2860 security mode */
 	switch (k->wk_cipher->ic_cipher) {
 	case IEEE80211_CIPHER_WEP:
@@ -2835,6 +2892,7 @@ rt2860_delete_key(struct ieee80211com *ic, const struct ieee80211_key *k)
 	uint32_t attr;
 	uint8_t wcid;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	if (k->wk_flags & IEEE80211_KEY_GROUP) {
 		/* remove group key */
 		attr = RAL_READ(sc, RT2860_SKEY_MODE_0_7);
@@ -2858,6 +2916,7 @@ rt2860_rssi2dbm(struct rt2860_softc *sc, uint8_t rssi, uint8_t rxchain)
 	struct ieee80211_channel *c = ic->ic_ibss_chan;
 	int delta;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	if (IEEE80211_IS_CHAN_5GHZ(c)) {
 		u_int chan = ieee80211_chan2ieee(ic, c);
 		delta = sc->rssi_5ghz[rxchain];
@@ -2884,6 +2943,7 @@ b4inc(uint32_t b32, int8_t delta)
 {
 	int8_t i, b4;
 
+	aprint_normal("in %s\n", __FUNCTION__);
 	for (i = 0; i < 8; i++) {
 		b4 = b32 & 0xf;
 		b4 += delta;
@@ -2899,6 +2959,7 @@ b4inc(uint32_t b32, int8_t delta)
 const char *
 rt2860_get_rf(uint8_t rev)
 {
+	aprint_normal("in %s\n", __FUNCTION__);
 	switch (rev) {
 	case RT2860_RF_2820:	return "RT2820";
 	case RT2860_RF_2850:	return "RT2850";
@@ -2924,6 +2985,7 @@ rt2860_read_eeprom(struct rt2860_softc *sc)
 	uint16_t val;
 	int ridx, ant, i;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	/* check whether the ROM is eFUSE ROM or EEPROM */
 	sc->sc_srom_read = rt2860_eeprom_read_2;
 	if (sc->mac_ver >= 0x3071) {
@@ -3234,6 +3296,7 @@ rt2860_bbp_init(struct rt2860_softc *sc)
 {
 	int i, ntries;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	/* wait for BBP to wake up */
 	for (ntries = 0; ntries < 20; ntries++) {
 		uint8_t bbp0 = rt2860_mcu_bbp_read(sc, 0);
@@ -3274,6 +3337,7 @@ rt2860_txrx_enable(struct rt2860_softc *sc)
 	uint32_t tmp;
 	int ntries;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	/* enable Tx/Rx DMA engine */
 	RAL_WRITE(sc, RT2860_MAC_SYS_CTRL, RT2860_MAC_TX_EN);
 	RAL_BARRIER_READ_WRITE(sc);
@@ -3322,6 +3386,7 @@ rt2860_init(struct ifnet *ifp)
 	uint8_t bbp1, bbp3;
 	int i, qid, ridx, ntries, error;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	/* for CardBus, power on the socket */
 	if (!(sc->sc_flags & RT2860_ENABLED)) {
 		if (sc->sc_enable != NULL && (*sc->sc_enable)(sc) != 0) {
@@ -3591,6 +3656,7 @@ rt2860_stop(struct ifnet *ifp, int disable)
 	uint32_t tmp;
 	int qid;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	if (ifp->if_flags & IFF_RUNNING)
 		rt2860_set_leds(sc, 0);	/* turn all LEDs off */
 
@@ -3637,6 +3703,7 @@ rt2860_load_microcode(struct rt2860_softc *sc)
 {
 	int ntries;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	/* set "host program ram write selection" bit */
 	RAL_WRITE(sc, RT2860_SYS_CTRL, RT2860_HST_PM_SEL);
 	/* write microcode image */
@@ -3676,6 +3743,7 @@ rt2860_calib(struct rt2860_softc *sc)
 	uint8_t step, bbp49;
 	int8_t ridx, d;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	/* read current temperature */
 	bbp49 = rt2860_mcu_bbp_read(sc, 49);
 
@@ -3715,6 +3783,7 @@ rt3090_set_rx_antenna(struct rt2860_softc *sc, int aux)
 {
 	uint32_t tmp;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	if (aux) {
 		tmp = RAL_READ(sc, RT2860_PCI_EECTRL);
 		RAL_WRITE(sc, RT2860_PCI_EECTRL, tmp & ~RT2860_C);
@@ -3734,6 +3803,7 @@ rt2860_switch_chan(struct rt2860_softc *sc, struct ieee80211_channel *c)
 	struct ieee80211com *ic = &sc->sc_ic;
 	u_int chan, group;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	chan = ieee80211_chan2ieee(ic, c);
 	if (chan == 0 || chan == IEEE80211_CHAN_ANY)
 		return;
@@ -3768,6 +3838,7 @@ rt2860_setup_beacon(struct rt2860_softc *sc)
 	struct mbuf *m;
 	int ridx;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	if ((m = ieee80211_beacon_alloc(ic, ic->ic_bss, &sc->sc_bo)) == NULL)
 		return ENOBUFS;
 
@@ -3801,6 +3872,7 @@ rt2860_enable_tsf_sync(struct rt2860_softc *sc)
 	struct ieee80211com *ic = &sc->sc_ic;
 	uint32_t tmp;
 
+	aprint_normal_dev(sc->sc_dev, "in %s\n", __FUNCTION__);
 	tmp = RAL_READ(sc, RT2860_BCN_TIME_CFG);
 
 	tmp &= ~0x1fffff;
-- 
2.5.2


